#ifndef  _DJI_H_
#define  _DJI_H_

#include "pid.h"
#include "djiMotor.h"


typedef enum
{
    MOTOR_UP = 0,
    MOTOR_TURN = 1,
    MOTOR_RING_RIGHT = 2,
    MOTOR_RING_LEFT = 3,
    MOTOR_NUM
}motorput_e;


    void motor_init(void);
    void motor_speed(fp32 speed);
    void motor_pos(fp32 angle);

    void trigger_pos(fp32 angle);

#endif
